Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Interface ReportScheduler

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  ReportSchedulerFacade, ReportSchedulerSoapBindingStub

    public interface ReportScheduler

extends java.rmi.Remote

ReportScheduler.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

Method Summary
`void` | `deleteJob(long id)`
`void` | `deleteJobs(long[] ids)`
`JobSummary[]` | `getAllJobs()`
`Job` | `getJob(long id)`
`JobSummary[]` | `getReportJobs(java.lang.String reportURI)`
`Job` | `scheduleJob(Job job)`
`Job` | `updateJob(Job job)`

Method Detail

### deleteJob

    void deleteJob(long id)
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### deleteJobs

    void deleteJobs(long[] ids)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getJob

    Job getJob(long id)
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### scheduleJob

    Job scheduleJob(Job job)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### updateJob

    Job updateJob(Job job)
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getAllJobs

    JobSummary[] getAllJobs()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getReportJobs

    JobSummary[] getReportJobs(java.lang.String reportURI)
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.